Bug 6133 - Upgrade to 2.3.3-3 Doesn't correctly update version
Upgrade to 2.3.3-3 Doesn't correctly update version
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Installer
2.3.4
PC Mac OS X 10.6
: P5 normal
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 15:09 PDT by Matthew Crider
Modified: 2011-01-31 12:13 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3-3 (406 bytes, patch)
2010-11-10 16:14 PST, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2010-11-04 15:09:49 PDT
Upgrading to 2.3.3-3 updates the version only to 2.3.3-2.  This is due to the <install> version attribute not being updated in dbscripts/xml/upgrade.xml.

I'd make the fix, but I'm not sure where to put it what with the recent forking of OJS.
Comment 1 Alec Smecher 2010-11-09 07:49:50 PST
Matt, I must have missed that version number when updating the descriptor. Could you upload a patch here for the descriptor, commit to OCS HEAD, and add to the recommended patches list on the wiki? Luckily this is just cosmetic, since the differences are all code between the two versions, nothing in the DB.
Comment 2 Matthew Crider 2010-11-09 11:29:15 PST
Well, the confusion for me is that the install version is currently set to 2.3.4.0 in OJS HEAD (I assume you meant OJS, not OCS).  I can whip up a patch (not from git, just a file diff), but I'm not sure where to commit it--The ojs_2_3_3-3 tag?
Comment 3 Alec Smecher 2010-11-09 17:11:26 PST
Matt, I see what you mean. Just upload an attachment here, and add it to the recommended patches list; if we do a follow-up bug fix release, I'll include all the patches listed there.
Comment 4 Matthew Crider 2010-11-10 16:14:29 PST
Created attachment 3323 [details]
Patch against OJS 2.3.3-3

NOT committed to git.